# Class DamagePhase

#### Hierarchy (view full)

- PokemonPhase
  - DamagePhase

- Defined in src/phases.ts:3476

#####
Index

### Constructors

constructor

### Properties

amount
battlerIndex
critical
damageResult
fieldIndex
player
scene

### Methods

applyDamage
end
executeForAll
getOrder
getPokemon
hideEnemyTrainer
showEnemyTrainer
start
updateAmount

## Constructors

### constructor

- new DamagePhase(scene, battlerIndex, amount, damageResult?, critical?): DamagePhase

- #### Parameters

  - scene: default
  - battlerIndex: BattlerIndex
  - amount: number
  - `Optional` damageResult: DamageResult
  - critical: boolean = false

  #### Returns DamagePhase

  Overrides PokemonPhase.constructor

  - Defined in src/phases.ts:3481

## Properties

### `Private` amount

amount: number

- Defined in src/phases.ts:3477

### `Protected` battlerIndex

battlerIndex: number

Inherited from PokemonPhase.battlerIndex

- Defined in src/phases.ts:688

### `Private` critical

critical: boolean

- Defined in src/phases.ts:3479

### `Private` damageResult

damageResult: DamageResult

- Defined in src/phases.ts:3478

### fieldIndex

fieldIndex: number

Inherited from PokemonPhase.fieldIndex

- Defined in src/phases.ts:690

### player

player: boolean

Inherited from PokemonPhase.player

- Defined in src/phases.ts:689

### `Protected` scene

scene: default

Inherited from PokemonPhase.scene

- Defined in src/phase.ts:4

## Methods

### applyDamage

- applyDamage(): void

- #### Returns void

  - Defined in src/phases.ts:3508

### end

- end(): void

- #### Returns void

  Overrides PokemonPhase.end

  - Defined in src/phases.ts:3543

### executeForAll

- executeForAll(func): void

- #### Parameters

  - func: PokemonFunc

  #### Returns void

  Inherited from PokemonPhase.executeForAll

  - Defined in src/phases.ts:681

### getOrder

- getOrder(): BattlerIndex []

- #### Returns BattlerIndex []

  Inherited from PokemonPhase.getOrder

  - Defined in src/phases.ts:659

### getPokemon

- getPokemon(): default

- #### Returns default

  Inherited from PokemonPhase.getPokemon

  - Defined in src/phases.ts:704

### hideEnemyTrainer

- hideEnemyTrainer(): void

- #### Returns void

  Inherited from PokemonPhase.hideEnemyTrainer

  - Defined in src/phases.ts:644

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?): void

- #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from PokemonPhase.showEnemyTrainer

  - Defined in src/phases.ts:617

### start

- start(): void

- #### Returns void

  Overrides PokemonPhase.start

  - Defined in src/phases.ts:3489

### updateAmount

- updateAmount(amount): void

- #### Parameters

  - amount: number

  #### Returns void

  - Defined in src/phases.ts:3504